Subject: Re: New snapshots and old binaries
From: Jon Maltz <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Aug 1999 11:46:00 -0400

Well, the simple apps compile and run with the aug30th cygwin1.dll
snapshot, and coolview's libcygwin.a.  Slightly less simple apps blow up
with _ctype_ errors (well, a slightly less simple app that happens to
#include <ctype.h>).

So can anyone say what the status of b21 is?  This doesn't seem likely to
get much easier until that is available.

Jon

At 09:47 AM 8/31/99 -0500, Mumit Khan wrote something like this:
>Jon Maltz <[email-masked]> writes:
>> Sigh...
>> 
>> I installed Cygwin b20.1 from a newly downloaded full.exe on a test box,
>> untar'd Mumit's gcc-2.95, installed coolview, untar'd
>> gcc-2.95-dev-ss.tar.gz, and compiled the simplest c++ app I could think of.
>>  While I was previously entertained by a ton of ctype errors, it now
>> compiles, but won't run.
>> 
>> bash-2.02$ g++ hello.cpp -o test2
>> bash-2.02$ ./test2
>>     0       0 [main] g:\cygnus\usr\home\test2.exe 1073 handle_exceptions:
>> Exception: STATUS_ACCESS_VIOLATION
>>     0   30303 [main] test2 1073 stackdump: Dumping stack trace to
>> test2.exe.stackdump
>> bash-2.02$
>
>There is a good chance that this is due to a bug in the C++ driver, and
>if so, this has been fixed recently (both locally and in GCC CVS tree). 
>For those who follow the gcc patches list, see the recent patches to fix
>memory overrun in the G++ driver and CPP: 
>
>   Linkname: (C++) memory overrun fix for arglist in lang_specific_driver
>   URL: http://egcs.cygnus.com/ml/gcc-patches/1999-08/msg00482.html
>
>and,
>
>   Linkname: Re: (C++) memory overrun fix for arglist in
>   URL: http://egcs.cygnus.com/ml/gcc-patches/1999-08/msg00627.html
>
>Jon, If you'd try out a new driver (g++.exe or c++.exe) to see if it
>fixes the problem, please let me know. 
>
>In the meantime, just use gcc to compile .cc files; the only gotcha is
>that when *linking* C++ code with gcc.exe, you'll have to append -lstdc++
>which c++/g++ does automatically.
>  
>  $ gcc hello.cpp -o test2 -lstdc++
>
>Regards,
>Mumit
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]